Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class ATIEnvmapBumpmap

    java.lang.Object
      org.lwjgl.opengl.ATIEnvmapBumpmap

    public final class ATIEnvmapBumpmap

extends java.lang.Object

Field Summary
`static int` | `GL_BUMP_ENVMAP_ATI`
`static int` | `GL_BUMP_NUM_TEX_UNITS_ATI`
`static int` | `GL_BUMP_ROT_MATRIX_ATI`
`static int` | `GL_BUMP_ROT_MATRIX_SIZE_ATI`
`static int` | `GL_BUMP_TARGET_ATI`
`static int` | `GL_BUMP_TEX_UNITS_ATI`
`static int` | `GL_DU8DV8_ATI`
`static int` | `GL_DUDV_ATI`

Method Summary
`static void` | `glGetTexBumpParameterATI(int pname, java.nio.FloatBuffer param)`
`static void` | `glGetTexBumpParameterATI(int pname, java.nio.IntBuffer param)`
`static void` | `glTexBumpParameterATI(int pname, java.nio.FloatBuffer param)`
`static void` | `glTexBumpParameterATI(int pname, java.nio.IntBuffer param)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_BUMP_ROT_MATRIX_ATI

    public static final int GL_BUMP_ROT_MATRIX_ATI

See Also:
  Constant Field Values

### GL_BUMP_ROT_MATRIX_SIZE_ATI

    public static final int GL_BUMP_ROT_MATRIX_SIZE_ATI

See Also:
  Constant Field Values

### GL_BUMP_NUM_TEX_UNITS_ATI

    public static final int GL_BUMP_NUM_TEX_UNITS_ATI

See Also:
  Constant Field Values

### GL_BUMP_TEX_UNITS_ATI

    public static final int GL_BUMP_TEX_UNITS_ATI

See Also:
  Constant Field Values

### GL_DUDV_ATI

    public static final int GL_DUDV_ATI

See Also:
  Constant Field Values

### GL_DU8DV8_ATI

    public static final int GL_DU8DV8_ATI

See Also:
  Constant Field Values

### GL_BUMP_ENVMAP_ATI

    public static final int GL_BUMP_ENVMAP_ATI

See Also:
  Constant Field Values

### GL_BUMP_TARGET_ATI

    public static final int GL_BUMP_TARGET_ATI

See Also:
  Constant Field Values

Method Detail

### glTexBumpParameterATI

    public static void glTexBumpParameterATI(int pname,
                                             java.nio.FloatBuffer param)

### glTexBumpParameterATI

    public static void glTexBumpParameterATI(int pname,
                                             java.nio.IntBuffer param)

### glGetTexBumpParameterATI

    public static void glGetTexBumpParameterATI(int pname,
                                                java.nio.FloatBuffer param)

### glGetTexBumpParameterATI

    public static void glGetTexBumpParameterATI(int pname,
                                                java.nio.IntBuffer param)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.